%global srcname copr-tito-quickdoc

Name: hellocopr
Version: 1.0.12
Release: 1%{?dist}
License: GPLv3
Summary: A trivial python 3 program for demonstrating RPM packaging
Url: https://pagure.io/%{srcname}
# Sources can be obtained by
# git clone https://pagure.io/copr-tito-quickdoc
# cd copr-tito-quickdoc
# tito build --tgz
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

%if 0%{?el6}
BuildRequires: python34-devel
BuildRequires: python34-setuptools
%else
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif

%description
Hellocopr is a very simple demonstration program that does nothing but display
some text on the command line. It is used as an example for automatic RPM
packaging using tito and Fedora's Copr user repository.

#-- PREP, BUILD & INSTALL -----------------------------------------------------#
%prep
%autosetup

%build
%py3_build

%install
%py3_install

#-- FILES ---------------------------------------------------------------------#
%files
%doc README.md
%license LICENSE
%{_bindir}/hellocopr
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/

#-- CHANGELOG -----------------------------------------------------------------#
%changelog
* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.12-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.11-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.10-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.9-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.8-1
- new package built with tito

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.7-1
- new package built with tito

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.6-1
- Reset tito (2756283+huang-jy@users.noreply.github.com)

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.5-1
- Add versioning (2756283+huang-jy@users.noreply.github.com)

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.4-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.3-1
- Add versioning (2756283+huang-jy@users.noreply.github.com)

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.2-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.1-1
- 

* Thu Nov 03 2022 黃健毅 < 2756283+huang-jy@users.noreply.github.com> 1.0.0-1
- new package built with tito

* Fri Jul 24 2020 Christopher Engelhard <ce@lcts.de> 1.0.2-1
- let tito manage the version string (ce@lcts.de)

* Fri Jul 24 2020 Christopher Engelhard <ce@lcts.de> 1.0.1-1
- single-source program version (ce@lcts.de)

* Fri Jul 24 2020 Christopher Engelhard <ce@lcts.de> 1.0.0-1
- new package built with tito


